libzypp 17.36.7

Public Types | Public Attributes | List of all members
zypp::media::Stripe Struct Reference

## Public Types
enum | RState { PENDING , FETCH , COMPETING , FINALIZED , REFETCH }

## Public Attributes
std::vector< off_t > | blocks
std::vector< RState > | blockStates

## Detailed Description

Definition at line 116 of file MediaMultiCurl.cc.

## Member Enumeration Documentation

## ◆ RState

enum zypp::media::Stripe::RState

Enumerator
PENDING |
FETCH |
COMPETING |
FINALIZED |
REFETCH |

Definition at line 118 of file MediaMultiCurl.cc.

## Member Data Documentation

## ◆ blocks

std::vector<off_t> zypp::media::Stripe::blocks

Definition at line 126 of file MediaMultiCurl.cc.

## ◆ blockStates

std::vector<RState> zypp::media::Stripe::blockStates

Definition at line 127 of file MediaMultiCurl.cc.

The documentation for this struct was generated from the following file:

- zypp/media/MediaMultiCurl.cc